Contracts
Debt-collection contract status and signing URLs for your account.
- Base URL
https://customer-api.debitura.com- Authentication
- API key in the
XApiKeyheader
Get debt collection contract status
GET
/contracts/debt-collection/statusReturns the status of your standard Debt Collection Agreement with Debitura.
Response Fields:
- signed (boolean) - Whether the agreement has been signed
- requiresResigning (boolean) - Whether the contract needs to be re-signed
- invalidationReason (string) - Why re-signing is required (if applicable) Possible values: None, NewVersion, AdminInvalidated, Other, CreditorNameChanged
- termsUrl (string, nullable) - URL to download the signed agreement PDF (only when signed=true)
- solutionUrl (string, nullable) - URL to sign or re-sign the agreement (only when action required)
Use Case: Check this endpoint before creating cases to ensure you have signed the required agreement. If requiresResigning=true, navigate to the solutionUrl to complete the signing process.
Returns
200 Contract status returned
signedbooleanrequiresResigningbooleaninvalidationReasonstringnullabletermsUrlstringnullablesolutionUrlstringnullable
GET/contracts/debt-collection/status
curl https://customer-api.debitura.com/contracts/debt-collection/status \-H "XApiKey: $DEBITURA_API_KEY"
Response
{"signed": true,"requiresResigning": true,"invalidationReason": null,"termsUrl": "https://app.debitura.com/…","solutionUrl": "https://app.debitura.com/…"}